Subject: Re: bug#16985: indent-for-tab-command error messages could mention line numbers

From: 積丹尼 Dan Jacobson <[email-masked]>
Date: Thu, 13 Mar 2014 09:46:56 +0800

>>>>> "SM" == Stefan Monnier <[email-masked]> writes:
SM> IOW, please tell us in which case you got the above error, so we can
SM> catch it and turn it into a non-error.
>> I recall it was when I was editing a perl program, so try with perl
>> mode... But anyway I think it would be better to catch such errors.

SM> Hmm... catch them and do what?  Such a signal means that's a coding
SM> error somewhere in the indentation code, so hiding the signal is not
SM> a good idea.

SM>         Stefan

OK, this file.pl
{}}
}(
}
triggers the bug. Do C-x h TAB.

Also the message should say "Help report this bug in xxx.el!" else people
will think it is an error in their perl file.